<?php

$query=$db->prepare("SELECT * FROM istekler order by id DESC");
$query->execute();

// Toplu Sil //

if(isset($_POST["deleteistek"])){
	$delproduct = $_POST["deleteistek"];
	foreach($delproduct as $deleteistek){
		$delete = $db->prepare("DELETE FROM istekler where id = ?");
		$delete->execute(array($deleteistek));
		if ($delete) {
			$success = 'İşlem başarıyla gerçekleşti.';
		} else {
			$error = 'Bir hata oluştu.';
		}
	}
}

if(isset($_POST["read"])){
	$duzenle=$db->prepare("UPDATE istekler SET
		durum=:durum
		WHERE id={$_POST['id']}");
	$update=$duzenle->execute(array(
		'durum' => 1
	));
	if ($update) {
		$success = 'İşlem başarıyla gerçekleşti.';
	} else {
		$error = 'Bir hata oluştu.';
	}
} 

require admin_view('istek-listele');